×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Dec 2008
    Posts
    4

    new to mobile development guidance required?

    hi
    i am new to mobile development.i want to develop app for nokia 5320.I know java programming.can any one please guide me
    and help me in setting up development environment which sdks and ide are rquired.

    thanks

  2. #2
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,750

    Re: new to mobile development guidance required?

    Though the 5320 is an S60 device, thus its 'native' language is Symbian C++, you can also develop Java applications for it. If you click back to "Programming Languages" above, there will be a Mobile Java section.
    For getting started you can check the "I Want To" tab above, or find the Java-related documentation in the Docs section. That category also contains the SDK-s as "Tools".
    You should check your device on http://www.forum.nokia.com/devices in order to find out which SDK you should use.

  3. #3
    Registered User
    Join Date
    Dec 2008
    Posts
    4

    Re: new to mobile development guidance required?

    Quote Originally Posted by wizard_hu_ View Post
    Though the 5320 is an S60 device, thus its 'native' language is Symbian C++, you can also develop Java applications for it. If you click back to "Programming Languages" above, there will be a Mobile Java section.
    For getting started you can check the "I Want To" tab above, or find the Java-related documentation in the Docs section. That category also contains the SDK-s as "Tools".
    You should check your device on http://www.forum.nokia.com/devices in order to find out which SDK you should use.
    Hi wizard_hu,
    thanks for the quick help.

    http://www.forum.nokia.com/devices/5320_XpressMusic

    well from the above link i found my device is running the following version
    S60 3rd Edition, Feature Pack 2

    but the java sdks available for this device are
    * S60 3rd Edition, Feature Pack 1.
    * S60 3rd Edition.
    * S60 2nd Edition, Feature Pack 2 (formerly 2.2).
    * S60 2nd Edition, Feature Pack 1 (formerly 2.1).
    * S60 2nd Edition (formerly 2.0).
    * S60 1st Edition, Feature Pack 1 (formerly 1.2).

    none of the above sdks matches my device version will it run on my device.

  4. #4
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: new to mobile development guidance required?

    The SDK for 3rd Edition FP2 is available here. It's an all-in-one SDK, so it's for both Java and C++ development.

  5. #5
    Registered User
    Join Date
    Dec 2008
    Posts
    4

    Re: new to mobile development guidance required?

    thats great thank you
    can you please also tell me which java ide to use with it

  6. #6
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: new to mobile development guidance required?

    I strongly recommend NetBeans.

  7. #7
    Registered User
    Join Date
    Dec 2008
    Posts
    4

    Re: new to mobile development guidance required?

    Quote Originally Posted by bogdan.galiceanu View Post
    I strongly recommend NetBeans.
    ThankYou bogdan.galiceanu,
    I highly appreciate your help in this regards.

Similar Threads

  1. [moved] Mobile Porting Solutions
    By ninnythomas in forum News and Announcements
    Replies: 3
    Last Post: 2008-11-03, 10:10
  2. carbide-error
    By upendersolanki in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 5
    Last Post: 2008-02-06, 11:09
  3. Problem with Cabride.c++ v1.1
    By markovuksanovic in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 3
    Last Post: 2007-01-24, 20:05
  4. Replies: 0
    Last Post: 2006-05-31, 08:06
  5. Nokia Mobile VPN Client
    By marcyl in forum Symbian Networking & Messaging (Closed)
    Replies: 1
    Last Post: 2003-12-01, 14:47

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×